Bug 987164 - guest PXE fails even though network on guest is correctly getting address from DHCP
guest PXE fails even though network on guest is correctly getting address fro...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
All Linux
high Severity high
: rc
: ---
Assigned To: Alex Williamson
Virtualization Bugs
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 16:53 EDT by Allan Voss
Modified: 2014-05-12 17:22 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-12 17:22:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allan Voss 2013-07-22 16:53:27 EDT
Description of problem:
Guest cannot PXE boot even though the guest is getting an address from DHCP. Contact with the PXE server is initiated, but the guest does not attempt to download the necessary files.

Version-Release number of selected component (if applicable):
20130528.0.el6_4

How reproducible:
Very

Steps to Reproduce:
1. Create RHEV environment with VLANs
2. attempt to boot new guest with PXE

Actual results:
"no filename or rootpath specified"

Expected results:
Successful boot

Additional info:
There are VLANs in use in this environment.
Comment 3 Mike Burns 2013-07-22 18:12:05 EDT
networks are setup and configured through RHEV-M, so moving this to vdsm
Comment 8 Sibiao Luo 2013-08-28 02:32:00 EDT
Hi all,

   I cann't reproduce this issue with qemu-kvm command line, it can be install guest var PXE server successfully according my testing.

I doubt that it's the PXE server configuration or DHCP resolving problem for customer, could you help double-check it and help to narrow down the scope of the problem, please paste what's your configurations and steps to reproduce it detail ? thanks in advance.

Host info:
# uname -r && rpm -q qemu-kvm
2.6.32-413.el6.x86_64
qemu-kvm-0.12.1.2-2.398.el6.x86_64

# /usr/libexec/qemu-kvm -M rhel6.5.0 -cpu SandyBridge -enable-kvm -m 4096 -smp 4,sockets=2,cores=2,threads=1 -no-kvm-pit-reinjection -name sluo -uuid 43425b70-86e5-4664-bf2c-3b76699b8bec -rtc base=localtime,clock=host,driftfix=slew -device virtio-serial-pci,id=virtio-serial0,max_ports=16,vectors=0,bus=pci.0,addr=0x3 -chardev socket,id=channel1,path=/tmp/helloworld1,server,nowait -device virtserialport,chardev=channel1,name=com.redhat.rhevm.vdsm.1,bus=virtio-serial0.0,id=port1,nr=1 -chardev socket,id=channel2,path=/tmp/helloworld2,server,nowait -device virtserialport,chardev=channel2,name=com.redhat.rhevm.vdsm.2,bus=virtio-serial0.0,id=port2,nr=2 -drive file=/home/bug987164testing.qcow2,if=none,id=drive-system-disk,format=qcow2,cache=none,aio=native,werror=stop,rerror=stop,serial="QEMU-DISK1" -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x4,drive=drive-system-disk,id=system-disk,bootindex=1 -device virtio-balloon-pci,id=ballooning,bus=pci.0,addr=0x5 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -netdev tap,id=hostnet0,vhost=off,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=2C:41:38:B6:40:21,bus=pci.0,addr=0x6,*bootindex=0* -k en-us -boot menu=on -qmp tcp:0:4444,server,nowait -serial unix:/tmp/ttyS0,server,nowait -vnc :1 -spice port=5931,disable-ticketing -monitor stdio

Best Regards,
sluo
Comment 9 Ademar Reis 2013-09-05 13:54:55 EDT
(In reply to Sibiao Luo from comment #8)
> Hi all,
> 
>    I cann't reproduce this issue with qemu-kvm command line, it can be
> install guest var PXE server successfully according my testing.
> 
> I doubt that it's the PXE server configuration or DHCP resolving problem for
> customer, could you help double-check it and help to narrow down the scope
> of the problem, please paste what's your configurations and steps to
> reproduce it detail ? thanks in advance.
> 

NEEDINFO(reporter)
Comment 11 Alex Williamson 2013-10-01 22:57:51 EDT
Why does the trace show duplicate packets for all bootp traffic?  Please retest with gpxe-roms-qemu-0.9.7-6.10.el6.noarch.rpm on the host system.
Comment 12 Allan Voss 2013-10-02 09:56:03 EDT
(In reply to Alex Williamson from comment #11)
> Why does the trace show duplicate packets for all bootp traffic?  Please
> retest with gpxe-roms-qemu-0.9.7-6.10.el6.noarch.rpm on the host system.

I couldn't find a version of gpxe-roms-qemu newer than what the customer is using: gpxe-roms-qemu-0.9.7-6.9.el6.noarch

If you can put the rpm together, I can give it to the customer.
Comment 16 Alex Williamson 2014-05-12 17:22:03 EDT
If there's any objection to closing this, please re-open.  The customer cases for this issue are closed, we've not been able to reproduce the problem, and we don't have enough information here about the configuration to make progress in reproducing.

Note You need to log in before you can comment on or make changes to this bug.